# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.security.acls.domain.AclAuthorizationStrategy
Modifier and Type
Constant Field
Value
`public static final int`
`CHANGE_AUDITING`
`1`
`public static final int`
`CHANGE_GENERAL`
`2`
`public static final int`
`CHANGE_OWNERSHIP`
`0`

org.springframework.security.acls.jdbc.BasicLookupStrategy
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ACL_CLASS_ID_SELECT_CLAUSE`
`"select acl_object_identity.object_id_identity, acl_entry.ace_order, acl_object_identity.id as acl_id, acl_object_identity.parent_object, acl_object_identity.entries_inheriting, acl_entry.id as ace_id, acl_entry.mask, acl_entry.granting, acl_entry.audit_success, acl_entry.audit_failure, acl_sid.principal as ace_principal, acl_sid.sid as ace_sid, acli_sid.principal as acl_principal, acli_sid.sid as acl_sid, acl_class.class , acl_class.class_id_type from acl_object_identity left join acl_sid acli_sid on acli_sid.id = acl_object_identity.owner_sid left join acl_class on acl_class.id = acl_object_identity.object_id_class left join acl_entry on acl_object_identity.id = acl_entry.acl_object_identity left join acl_sid on acl_entry.sid = acl_sid.id where ( "`
`public static final String`
`DEFAULT_ORDER_BY_CLAUSE`
`") order by acl_object_identity.object_id_identity asc, acl_entry.ace_order asc"`
`public static final String`
`DEFAULT_SELECT_CLAUSE`
`"select acl_object_identity.object_id_identity, acl_entry.ace_order, acl_object_identity.id as acl_id, acl_object_identity.parent_object, acl_object_identity.entries_inheriting, acl_entry.id as ace_id, acl_entry.mask, acl_entry.granting, acl_entry.audit_success, acl_entry.audit_failure, acl_sid.principal as ace_principal, acl_sid.sid as ace_sid, acli_sid.principal as acl_principal, acli_sid.sid as acl_sid, acl_class.class from acl_object_identity left join acl_sid acli_sid on acli_sid.id = acl_object_identity.owner_sid left join acl_class on acl_class.id = acl_object_identity.object_id_class left join acl_entry on acl_object_identity.id = acl_entry.acl_object_identity left join acl_sid on acl_entry.sid = acl_sid.id where ( "`

org.springframework.security.acls.model.Permission
Modifier and Type
Constant Field
Value
`public static final char`
`RESERVED_OFF`
`'.'`
`public static final char`
`RESERVED_ON`
`'~'`
`public static final String`
`THIRTY_TWO_RESERVED_OFF`
`"................................"`